Bug Hunting Session
Bug 54749 - EDITING: CONDITIONAL FORMATTING, After reload Manage Window show the CF ranges are duplicated
Summary: EDITING: CONDITIONAL FORMATTING, After reload Manage Window show the CF range...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.0.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Markus Mohrhard
URL:
Whiteboard: target:3.7.0 target:3.6.2
Keywords:
Depends on:
Blocks:
 
Reported: 2012-09-10 20:29 UTC by m.a.riosv
Modified: 2012-09-21 13:56 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
CF ranges duplicate in Manage window after reload. (7.54 KB, application/x-vnd.oasis.opendocument.spreadsheet)
2012-09-10 20:29 UTC, m.a.riosv
Details

Note You need to log in before you can comment on or make changes to this bug.
Description m.a.riosv 2012-09-10 20:29:02 UTC
Created attachment 66943 [details]
CF ranges duplicate in Manage window after reload.

Win7x64 LibreOffice Version 3.7.0.0.alpha0+ (Build ID: 63a4eac)

Create conditional formatting in three consecutive cells, with a CF with formula, after saved and reload, in the Menu/Format/ConditionalFormatting/Manage, show the ranges duplicate.
Comment 1 m.a.riosv 2012-09-11 20:24:43 UTC
After every save 3.7.0.0.alpha0+ (Build ID: 7841499), there is a new duplication for the ranges with CF in the Menu/Format/ConditionalFormatting/Manage
Comment 2 Not Assigned 2012-09-14 17:01:56 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=dfc68037328fbc1ec45d18b25822b59a2134285a

don't add old cond formats if new ones are already loaded, fdo#54749



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Not Assigned 2012-09-17 16:44:26 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-3-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9b4d2473a11db4d1dee0fa445346907d7e942801&g=libreoffice-3-6

don't add old cond formats if new ones are already loaded, fdo#54749


It will be available in LibreOffice 3.6.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Not Assigned 2012-09-21 13:50:19 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-3-6-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e48da0413875b2abbca0156d47dcf13ad85b301d&g=libreoffice-3-6-2

don't add old cond formats if new ones are already loaded, fdo#54749


It will be available already in LibreOffice 3.6.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.